declare type ProgressHandler = (progressEvent: any) => void;
export declare type FileInfo = {
    filename: string;
    fileType: string;
    bucketID?: string;
    objectId?: string;
    name?: string;
};
declare type ThumbInfo = {
    width: number;
    height: number;
    isBig?: boolean;
};
declare const getObjectByKey: (key: FileInfo, handler?: ProgressHandler, isThumb?: boolean) => Promise<any>;
declare const getThumb: (fileInfo: FileInfo, thumbInfo: ThumbInfo, handler?: () => void) => Promise<any>;
declare const getFileObject: (key: FileInfo, handler?: ProgressHandler) => Promise<any>;
export { getThumb, getObjectByKey, getFileObject };
export default getObjectByKey;
